#!/bin/bash
rm -rf /tmp/$ENV-deregistered-org-keys
rm -rf /tmp/cleanup-$ENV
kubectl scale --replicas=1 deployment/asset-updater-infra-es-debug
sleep 30 
POD=$(kubectl get pod -l app.kubernetes.io/release=asset-updater-infra -o jsonpath="{.items[0].metadata.name}")
echo $POD
echo "building org keys"
./build-org-keys.sh
echo "done building orgkeys"
echo "Copying necessary files to target pod $pod"
kubectl cp /tmp/$ENV-deregistered-org-keys $POD:/tmp
kubectl cp /tmp/cleanup-$ENV/ $POD:/tmp
kubectl cp cleanup-functions.sh $POD:/tmp/
kubectl cp cleanup_entrypoint.sh $POD:/tmp
echo "Done copying necessary files"
echo "Being executing cleanup on $POD"
kubectl exec -t $POD -- /bin/bash -c "echo starting ; export ENV=$ENV ; chmod +x /tmp/cleanup_entrypoint.sh ; /tmp/cleanup_entrypoint.sh" 
